/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.rich.functionsample.inputcheck.bean;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * コレクション型への入力クラス
 * 
 */
public class ArrayListStringData implements Serializable {

    /**
     * シリアルバージョンID
     */
    private static final long serialVersionUID = -526130980065808071L;

    /**
     * requiredArrayListテスト
     */
    private ArrayList<String> requiredArray = null;

    /**
     * maskArrayテスト
     */
    private ArrayList<String> maskArray = null;

    /**
     * byteArrayテスト
     */
    private ArrayList<String> byteArray = null;

    /**
     * shortArrayテスト
     */
    private ArrayList<String> shortArray = null;

    /**
     * integerArrayテスト
     */
    private ArrayList<String> integerArray = null;

    /**
     * longArrayテスト
     */
    private ArrayList<String> longArray = null;

    /**
     * floatArrayテスト
     */
    private ArrayList<String> floatArray = null;

    /**
     * doubleArrayテスト
     */
    private ArrayList<String> doubleArray = null;

    /**
     * dateArrayテスト
     */
    private ArrayList<String> dateArray = null;

    /**
     * intRangeArrayテスト
     */
    private ArrayList<String> intRangeArray = null;

    /**
     * doubleRangeArrayテスト
     */
    private ArrayList<String> doubleRangeArray = null;

    /**
     * floatRangeArrayテスト
     */
    private ArrayList<String> floatRangeArray = null;

    /**
     * maxLengthArrayテスト
     */
    private ArrayList<String> maxLengthArray = null;

    /**
     * minLengthArrayテスト
     */
    private ArrayList<String> minLengthArray = null;

    /**
     * alphaNumericStringArrayテスト
     */
    private ArrayList<String> alphaNumericStringArray = null;

    /**
     * capAlphaNumericStringArrayテスト
     */
    private ArrayList<String> capAlphaNumericStringArray = null;

    /**
     * numberArrayテスト
     */
    private ArrayList<String> numberArray = null;

    /**
     * hankakuKanaStringArrayテスト
     */
    private ArrayList<String> hankakuKanaStringArray = null;

    /**
     * hankakuStringArrayテスト
     */
    private ArrayList<String> hankakuStringArray = null;

    /**
     * zenkakuStringArrayテスト
     */
    private ArrayList<String> zenkakuStringArray = null;

    /**
     * zenkakuKanaStringArrayテスト
     */
    private ArrayList<String> zenkakuKanaStringArray = null;

    /**
     * prohibitedArrayテスト
     */
    private ArrayList<String> prohibitedArray = null;

    /**
     * numericStringArrayテスト
     */
    private ArrayList<String> numericStringArray = null;

    /**
     * stringLengthArrayテスト
     */
    private ArrayList<String> stringLengthArray = null;

    /**
     * urlArrayテスト
     */
    private ArrayList<String> urlArray = null;

    /**
     * byteRangeArrayテスト
     */
    private ArrayList<String> byteRangeArray = null;

    /**
     * dateRangeArrayテスト
     */
    private ArrayList<String> dateRangeArray = null;

    /**
     * alphaNumericStringArrayテストを取得する。
     * 
     * @return alphaNumericStringArray
     */
    public ArrayList<String> getAlphaNumericStringArray() {
        return alphaNumericStringArray;
    }

    /**
     * alphaNumericStringArrayテストを設定する。
     * 
     * @param alphaNumericStringArray
     *            alphaNumericStringArrayテスト
     */
    public void setAlphaNumericStringArray(
            ArrayList<String> alphaNumericStringArray) {
        this.alphaNumericStringArray = alphaNumericStringArray;
    }

    /**
     * byteArrayテストを取得する。
     * 
     * @return byteArrayテスト
     */
    public ArrayList<String> getByteArray() {
        return byteArray;
    }

    /**
     * byteArrayテストを設定する。
     * 
     * @param byteArray
     *            byteArrayテスト
     */
    public void setByteArray(ArrayList<String> byteArray) {
        this.byteArray = byteArray;
    }

    /**
     * byteRangeArrayテストを取得する。
     * 
     * @return byteRangeArrayテスト
     */
    public ArrayList<String> getByteRangeArray() {
        return byteRangeArray;
    }

    /**
     * byteRangeArrayテストを設定する。
     * 
     * @param byteRangeArray
     *            byteRangeArrayテスト
     */
    public void setByteRangeArray(ArrayList<String> byteRangeArray) {
        this.byteRangeArray = byteRangeArray;
    }

    /**
     * capAlphaNumericStringArrayテストを取得する。
     * 
     * @return capAlphaNumericStringArrayテスト
     */
    public ArrayList<String> getCapAlphaNumericStringArray() {
        return capAlphaNumericStringArray;
    }

    /**
     * capAlphaNumericStringArrayテストを設定する。
     * 
     * @param capAlphaNumericStringArray
     *            capAlphaNumericStringArrayテスト
     */
    public void setCapAlphaNumericStringArray(
            ArrayList<String> capAlphaNumericStringArray) {
        this.capAlphaNumericStringArray = capAlphaNumericStringArray;
    }

    /**
     * dateArrayテストを取得する。
     * 
     * @return dateArrayテスト
     */
    public ArrayList<String> getDateArray() {
        return dateArray;
    }

    /**
     * dateArrayテストを設定する。
     * 
     * @param dateArray
     *            dateArrayテスト
     */
    public void setDateArray(ArrayList<String> dateArray) {
        this.dateArray = dateArray;
    }

    /**
     * dateRangeArrayテストを取得する。
     * 
     * @return dateRangeArrayテスト
     */
    public ArrayList<String> getDateRangeArray() {
        return dateRangeArray;
    }

    /**
     * dateRangeArrayテストを設定する。
     * 
     * @param dateRangeArray
     *            dateRangeArrayテスト
     */
    public void setDateRangeArray(ArrayList<String> dateRangeArray) {
        this.dateRangeArray = dateRangeArray;
    }

    /**
     * doubleArrayテストを取得する。
     * 
     * @return doubleArrayテスト
     */
    public ArrayList<String> getDoubleArray() {
        return doubleArray;
    }

    /**
     * doubleArrayテストを設定する。
     * 
     * @param doubleArray
     *            doubleArrayテスト
     */
    public void setDoubleArray(ArrayList<String> doubleArray) {
        this.doubleArray = doubleArray;
    }

    /**
     * doubleRangeArrayテストを取得する。
     * 
     * @return doubleRangeArrayテスト
     */
    public ArrayList<String> getDoubleRangeArray() {
        return doubleRangeArray;
    }

    /**
     * doubleRangeArrayテストを設定する。
     * 
     * @param doubleRangeArray
     *            doubleRangeArrayテスト
     */
    public void setDoubleRangeArray(ArrayList<String> doubleRangeArray) {
        this.doubleRangeArray = doubleRangeArray;
    }

    /**
     * floatArrayテストを取得する。
     * 
     * @return floatArrayテスト
     */
    public ArrayList<String> getFloatArray() {
        return floatArray;
    }

    /**
     * floatArrayテストを設定する。
     * 
     * @param floatArray
     *            floatArrayテスト
     */
    public void setFloatArray(ArrayList<String> floatArray) {
        this.floatArray = floatArray;
    }

    /**
     * floatRangeArrayテストを取得する。
     * 
     * @return floatRangeArrayテスト
     */
    public ArrayList<String> getFloatRangeArray() {
        return floatRangeArray;
    }

    /**
     * floatRangeArrayテストを設定する。
     * 
     * @param floatRangeArray
     *            floatRangeArrayテスト
     */
    public void setFloatRangeArray(ArrayList<String> floatRangeArray) {
        this.floatRangeArray = floatRangeArray;
    }

    /**
     * hankakuKanaStringArrayテストを取得する。
     * 
     * @return hankakuKanaStringArrayテスト
     */
    public ArrayList<String> getHankakuKanaStringArray() {
        return hankakuKanaStringArray;
    }

    /**
     * hankakuKanaStringArrayテストを設定する。
     * 
     * @param hankakuKanaStringArray
     *            hankakuKanaStringArrayテスト
     */
    public void setHankakuKanaStringArray(
            ArrayList<String> hankakuKanaStringArray) {
        this.hankakuKanaStringArray = hankakuKanaStringArray;
    }

    /**
     * hankakuStringArrayテストを取得する。
     * 
     * @return hankakuStringArrayテスト
     */
    public ArrayList<String> getHankakuStringArray() {
        return hankakuStringArray;
    }

    /**
     * hankakuStringArrayテストを設定する。
     * 
     * @param hankakuStringArray
     *            hankakuStringArrayテスト
     */
    public void setHankakuStringArray(ArrayList<String> hankakuStringArray) {
        this.hankakuStringArray = hankakuStringArray;
    }

    /**
     * integerArrayテストを取得する。
     * 
     * @return integerArrayテスト
     */
    public ArrayList<String> getIntegerArray() {
        return integerArray;
    }

    /**
     * integerArrayテストを設定する。
     * 
     * @param integerArray
     *            integerArrayテスト
     */
    public void setIntegerArray(ArrayList<String> integerArray) {
        this.integerArray = integerArray;
    }

    /**
     * intRangeArrayテストを取得する。
     * 
     * @return intRangeArrayテスト
     */
    public ArrayList<String> getIntRangeArray() {
        return intRangeArray;
    }

    /**
     * intRangeArrayテストを設定する。
     * 
     * @param intRangeArray
     *            intRangeArrayテスト
     */
    public void setIntRangeArray(ArrayList<String> intRangeArray) {
        this.intRangeArray = intRangeArray;
    }

    /**
     * longArrayテストを取得する。
     * 
     * @return longArrayテスト
     */
    public ArrayList<String> getLongArray() {
        return longArray;
    }

    /**
     * longArrayテストを設定する。
     * 
     * @param longArray
     *            longArrayテスト
     */
    public void setLongArray(ArrayList<String> longArray) {
        this.longArray = longArray;
    }

    /**
     * maskArrayテストを取得する。
     * 
     * @return maskArrayテスト
     */
    public ArrayList<String> getMaskArray() {
        return maskArray;
    }

    /**
     * maskArrayテストを設定する。
     * 
     * @param maskArray
     *            maskArrayテスト
     */
    public void setMaskArray(ArrayList<String> maskArray) {
        this.maskArray = maskArray;
    }

    /**
     * maxLengthArrayテストを取得する。
     * 
     * @return maxLengthArrayテスト
     */
    public ArrayList<String> getMaxLengthArray() {
        return maxLengthArray;
    }

    /**
     * maxLengthArrayテストを設定する。
     * 
     * @param maxLengthArray
     *            maxLengthArrayテスト
     */
    public void setMaxLengthArray(ArrayList<String> maxLengthArray) {
        this.maxLengthArray = maxLengthArray;
    }

    /**
     * minLengthArrayテストを取得する。
     * 
     * @return minLengthArrayテスト
     */
    public ArrayList<String> getMinLengthArray() {
        return minLengthArray;
    }

    /**
     * minLengthArrayテストを設定する。
     * 
     * @param minLengthArray
     *            minLengthArrayテスト
     */
    public void setMinLengthArray(ArrayList<String> minLengthArray) {
        this.minLengthArray = minLengthArray;
    }

    /**
     * numberArrayテストを取得する。
     * 
     * @return numberArrayテスト
     */
    public ArrayList<String> getNumberArray() {
        return numberArray;
    }

    /**
     * numberArrayテストを設定する。
     * 
     * @param numberArray
     *            numberArrayテスト
     */
    public void setNumberArray(ArrayList<String> numberArray) {
        this.numberArray = numberArray;
    }

    /**
     * numericStringArrayテストを取得する。
     * 
     * @return numericStringArrayテスト
     */
    public ArrayList<String> getNumericStringArray() {
        return numericStringArray;
    }

    /**
     * numericStringArrayテストを設定する。
     * 
     * @param numericStringArray
     *            numericStringArrayテスト
     */
    public void setNumericStringArray(ArrayList<String> numericStringArray) {
        this.numericStringArray = numericStringArray;
    }

    /**
     * prohibitedArrayテストを取得する。
     * 
     * @return prohibitedArrayテスト
     */
    public ArrayList<String> getProhibitedArray() {
        return prohibitedArray;
    }

    /**
     * prohibitedArrayテストを設定する。
     * 
     * @param prohibitedArray
     *            prohibitedArrayテスト
     */
    public void setProhibitedArray(ArrayList<String> prohibitedArray) {
        this.prohibitedArray = prohibitedArray;
    }

    /**
     * requiredArrayテストを取得する。
     * 
     * @return requiredArrayテスト
     */
    public ArrayList<String> getRequiredArray() {
        return requiredArray;
    }

    /**
     * requiredArrayテストを設定する。
     * 
     * @param requiredArray
     *            requiredArrayテスト
     */
    public void setRequiredArray(ArrayList<String> requiredArray) {
        this.requiredArray = requiredArray;
    }

    /**
     * shortArrayテストを取得する。
     * 
     * @return shortArrayテスト
     */
    public ArrayList<String> getShortArray() {
        return shortArray;
    }

    /**
     * shortArrayテストを設定する。
     * 
     * @param shortArray
     *            shortArrayテスト
     */
    public void setShortArray(ArrayList<String> shortArray) {
        this.shortArray = shortArray;
    }

    /**
     * stringLengthArrayテストを取得する。
     * 
     * @return stringLengthArrayテスト
     */
    public ArrayList<String> getStringLengthArray() {
        return stringLengthArray;
    }

    /**
     * stringLengthArrayテストを設定する。
     * 
     * @param stringLengthArray
     *            stringLengthArrayテスト
     */
    public void setStringLengthArray(ArrayList<String> stringLengthArray) {
        this.stringLengthArray = stringLengthArray;
    }

    /**
     * urlArrayテストを取得する。
     * 
     * @return urlArrayテスト
     */
    public ArrayList<String> getUrlArray() {
        return urlArray;
    }

    /**
     * urlArrayテストを設定する。
     * 
     * @param urlArray
     *            urlArrayテスト
     */
    public void setUrlArray(ArrayList<String> urlArray) {
        this.urlArray = urlArray;
    }

    /**
     * zenkakuKanaStringArrayテストを取得する。
     * 
     * @return zenkakuKanaStringArrayテスト
     */
    public ArrayList<String> getZenkakuKanaStringArray() {
        return zenkakuKanaStringArray;
    }

    /**
     * zenkakuKanaStringArrayテストを設定する。
     * 
     * @param zenkakuKanaStringArray
     *            zenkakuKanaStringArrayテスト
     */
    public void setZenkakuKanaStringArray(
            ArrayList<String> zenkakuKanaStringArray) {
        this.zenkakuKanaStringArray = zenkakuKanaStringArray;
    }

    /**
     * zenkakuStringArrayテストを取得する。
     * 
     * @return zenkakuStringArrayテスト
     */
    public ArrayList<String> getZenkakuStringArray() {
        return zenkakuStringArray;
    }

    /**
     * zenkakuStringArrayテストを設定する。
     * 
     * @param zenkakuStringArray
     *            zenkakuStringArrayテスト
     */
    public void setZenkakuStringArray(ArrayList<String> zenkakuStringArray) {
        this.zenkakuStringArray = zenkakuStringArray;
    }

}
